Qwt User's Guide: QwtPolarMagnifier Class Reference

Qwt User's Guide 6.2.0

Public Slots | Public Member Functions | Protected Member Functions | List of all members
QwtPolarMagnifier Class Reference

QwtPolarMagnifier provides zooming, by magnifying in steps. More...

`#include <qwt_polar_magnifier.h>`

Inheritance diagram for QwtPolarMagnifier:

## Public Slots
virtual void | rescale (double factor) override
void | unzoom ()
| Unzoom the plot widget.

## Public Member Functions
| QwtPolarMagnifier (QwtPolarCanvas *)
virtual | ~QwtPolarMagnifier ()
| Destructor.
void | setUnzoomKey (int key, int modifiers)
void | getUnzoomKey (int &key, int &modifiers) const
QwtPolarPlot * | plot ()
const QwtPolarPlot * | plot () const
QwtPolarCanvas * | canvas ()
const QwtPolarCanvas * | canvas () const
Public Member Functions inherited from QwtMagnifier
| QwtMagnifier (QWidget *)
virtual | ~QwtMagnifier ()
| Destructor.
QWidget * | parentWidget ()
const QWidget * | parentWidget () const
void | setEnabled (bool)
| En/disable the magnifier. More...
bool | isEnabled () const
void | setMouseFactor (double)
| Change the mouse factor. More...
double | mouseFactor () const
void | setMouseButton (Qt::MouseButton, Qt::KeyboardModifiers=Qt::NoModifier)
void | getMouseButton (Qt::MouseButton &, Qt::KeyboardModifiers &) const
void | setWheelFactor (double)
| Change the wheel factor. More...
double | wheelFactor () const
void | setWheelModifiers (Qt::KeyboardModifiers)
Qt::KeyboardModifiers | wheelModifiers () const
void | setKeyFactor (double)
| Change the key factor. More...
double | keyFactor () const
void | setZoomInKey (int key, Qt::KeyboardModifiers=Qt::NoModifier)
void | getZoomInKey (int &key, Qt::KeyboardModifiers &) const
| Retrieve the settings of the zoom in key. More...
void | setZoomOutKey (int key, Qt::KeyboardModifiers=Qt::NoModifier)
void | getZoomOutKey (int &key, Qt::KeyboardModifiers &) const
| Retrieve the settings of the zoom out key. More...
virtual bool | eventFilter (QObject *, QEvent *) override
| Event filter. More...

## Protected Member Functions
virtual void | widgetKeyPressEvent (QKeyEvent *) override
Protected Member Functions inherited from QwtMagnifier
virtual void | rescale (double factor)=0
virtual void | widgetMousePressEvent (QMouseEvent *)
virtual void | widgetMouseReleaseEvent (QMouseEvent *)
virtual void | widgetMouseMoveEvent (QMouseEvent *)
virtual void | widgetWheelEvent (QWheelEvent *)
virtual void | widgetKeyReleaseEvent (QKeyEvent *)

## Detailed Description

QwtPolarMagnifier provides zooming, by magnifying in steps.

Using QwtPlotMagnifier a plot can be zoomed in/out in steps using keys, the mouse wheel or moving a mouse button in vertical direction.

Together with QwtPolarPanner it is possible to implement an individual navigation of the plot canvas.

See also
  QwtPolarPanner, QwtPolarPlot, QwtPolarCanvas

Definition at line 30 of file qwt_polar_magnifier.h.

## Constructor & Destructor Documentation

## ◆ QwtPolarMagnifier()

QwtPolarMagnifier::QwtPolarMagnifier | ( | QwtPolarCanvas * | canvas | ) |
| explicit

Constructor

Parameters

  canvas | Plot canvas to be magnified

Definition at line 34 of file qwt_polar_magnifier.cpp.

## Member Function Documentation

## ◆ canvas() [1/2]

QwtPolarCanvas * QwtPolarMagnifier::canvas | ( |  | ) |

Returns
  Observed plot canvas

Definition at line 74 of file qwt_polar_magnifier.cpp.

## ◆ canvas() [2/2]

const QwtPolarCanvas * QwtPolarMagnifier::canvas | ( |  | ) | const

Returns
  Observed plot canvas

Definition at line 80 of file qwt_polar_magnifier.cpp.

## ◆ getUnzoomKey()

void QwtPolarMagnifier::getUnzoomKey | ( | int & | key,
|  | int & | modifiers
| ) |  | const

Returns
  Key, and modifiers that are used for unzooming

Parameters

  key | Key code
  modifiers | Modifiers

See also
  setUnzoomKey(), QwtPolarPlot::unzoom()

Definition at line 67 of file qwt_polar_magnifier.cpp.

## ◆ plot() [1/2]

QwtPolarPlot * QwtPolarMagnifier::plot | ( |  | ) |

Returns
  Observed plot

Definition at line 86 of file qwt_polar_magnifier.cpp.

## ◆ plot() [2/2]

const QwtPolarPlot * QwtPolarMagnifier::plot | ( |  | ) | const

Returns
  observed plot

Definition at line 96 of file qwt_polar_magnifier.cpp.

## ◆ rescale

void QwtPolarMagnifier::rescale | ( | double | factor | ) |
| overridevirtualslot

Zoom in/out the zoomed area

Parameters

  factor | A value < 1.0 zooms in, a value > 1.0 zooms out.

Definition at line 129 of file qwt_polar_magnifier.cpp.

## ◆ setUnzoomKey()

void QwtPolarMagnifier::setUnzoomKey | ( | int | key,
|  | int | modifiers
| ) |  |

Assign key and modifiers, that are used for unzooming The default combination is Qt::Key_Home + Qt::NoModifier.

Parameters

  key | Key code
  modifiers | Modifiers

See also
  getUnzoomKey(), QwtPolarPlot::unzoom()

Definition at line 54 of file qwt_polar_magnifier.cpp.

## ◆ widgetKeyPressEvent()

void QwtPolarMagnifier::widgetKeyPressEvent | ( | QKeyEvent * | event | ) |
| overrideprotectedvirtual

Handle a key press event for the observed widget.

Parameters

  event | Key event

Reimplemented from QwtMagnifier.

Definition at line 110 of file qwt_polar_magnifier.cpp.